<%
'Front Page - Body Content
sub Handle_bodycontent (value)
   Value=""
   bodycontent
end sub

'Front Page - Body Content
sub bodycontent
   dim tempstatus,strsql,sqlrs
   tempstatus = ""
   
   '700 - 2010.06.16 - Enhancement: Layout manager - multi-store support
   strsql="select * from containerbox where containerdivname = 'centerbox' and otheroptions1 = 'Yes' "
   GenLayoutMgrStorematchSQL "and", strsql
   strsql = strsql & "order by otheroptions2 asc,containername asc"

   Set sqlrs = Server.CreateObject("ADODB.Recordset")
   '700 - 2010.09.26 - Enhancement: Speed up front store performance
   sqlrs.open strsql, dbc, adOpenStatic, adLockReadOnly
   if sqlrs.eof then
      '700 - 2010.05.03 - Check all databasae must close after opened.
      closerecordset sqlrs
      exit sub
   else
      while not sqlrs.eof
	     tempstatus = sqlrs("otheroptions1")
		 if lcase(tempstatus) = "yes" then
		    select case lcase(sqlrs("containername"))
			   case "contentpage"
			      gencentercontentpage sqlrs
			   case "news"
			      gencenternews sqlrs
               case "blogs"
			      gencenterblogs sqlrs
			   case "newproducts"
			      gencenternewproducts sqlrs
			   case "randomproducts"
			      gencenterrandomproducts sqlrs
               case "freetext"
			      gencenterfreetext sqlrs
               '700 - layout manager enhancement - 2010.03.01
			   case "freeflash"
			      gencenterfreeflash sqlrs
			   case "freeimage"
			      gencenterfreeimage sqlrs
			   '700- 2010.04.05 - twitter
               case "twitter"
		          gencentertwitter sqlrs

			end select
		 end if
	     sqlrs.movenext
	  wend
   end if
   closerecordset sqlrs
end sub

sub gencenternewproducts (sqlrs)
   if trim(sqlrs("id")) = "" then exit sub
   if isnumeric(sqlrs("id")) = false then exit sub
   
   '701 - 2010.10.22 - Bug Fix: Center box new products label not hiding if xnewproductwidget = No
   if getconfig("xnewproductwidget") <> "Yes" then exit sub
   
   '700 - 2010.09.30 - Enhancement: Better handling if xlogonrequired is Yes
   if GetConfig("xlogonrequired")="Yes" and GetSess("Login")="" then exit sub

   htmlwrite "<div id=""center_newproducts__title_"& sqlrs("id") &""" class=""main-product"">"
   if isnull(sqlrs("labelfield")) = false then
      if trim(sqlrs("labelfield")) <> "" then
  	     htmlwrite "<h2>"& translatehpmgrcaptions(sqlrs("labelfield")) &"</h2>"
	  end if
   end if
   displaynewproducts sqlrs("otheroptions3")
   htmlwrite "</div>"
end sub

sub hpmgrFormatContent (crs)
   dim message, message2, image,ContentId,Template,SError
   message=TranslateLanguage(dbc, "content", "message","ContentId", crs("ContentId"), crs("message"))
   message2=TranslateLanguage(dbc, "content", "message2","ContentId", crs("ContentId"), crs("message2"))
   ContentId=crs("ContentId")
   image=crs("ContentImage")
   if isnull(image) then image=""
%>
<div class="main-content">
	<div class="top">
		<div class="bottom">
			<div class="text">
			    <%=crs("message")%>
<%
   if image<>"" then
      hpmgrFormatImage image
   end if
%>
               <%=crs("message2")%>
			</div>
			<!-- main box image -->
            <div class="cb"></div>
		</div>
	</div>
</div>
<%
end sub

sub hpmgrFormatImage (image)
   htmlwrite "<img src="""& image &""" class=""image"" align=""right"">"
end sub

sub hpmgrGetTemplate (crs, Template)
end sub

'7.01 - 2010.10.05 - To support multistores to contents,blog,news
dim contentonlypage
contentonlypage = ""
sub gencentercontentpage (sqlrs)
   if trim(sqlrs("id")) = "" then exit sub
   if isnumeric(sqlrs("id")) = false then exit sub
   
   '7.01 - 2010.10.05 - To support multistores to contents,blog,news
   if contentonlypage = "yes" then exit sub

   dim strsql2,sqlrs2
   strsql2="select * from content "
   if instr(ucase(xdatabasetype), "MYSQL") > 0 or instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
      strsql2=strsql2 & " where homepage = 1"
   else
      strsql2=strsql2 & " where homepage = TRUE"
   end if

   '7.01 - 2010.10.05 - To support multistores to contents,blog,news
   if GetConfig("xproductmatch") = "Yes" then
      '7.01 - 2011.03.16 - Bug Fix: Multiple store content should use xproductmatch value
      strsql2 = strsql2 & " and "
      dim shops(50), shopcount, i
      dim tempxproductmatch
      if trim(xproductmatch) = "" then
         tempxproductmatch = xshopid
      else
         tempxproductmatch = xproductmatch & "," & xshopid
      end if
      ParseRecord tempxproductmatch, shops, shopcount, "," ' get all shops allowed
      strsql2 = strsql2 & " ("
      for i = 0 to shopcount -1
         if i>0 then
            strsql2 = strsql2 & " or "
         end if
	     if instr(lcase(xdatabasetype),"mysql") > 0 then
	        strsql2 = strsql2 & " concat(',',productmatch,',') like '%," & shops(i) & ",%'"
   	     else
	        strsql2 = strsql2 & " ',' + productmatch + ',' like "& sqlserverprefixn &"'%," & shops(i) & ",%'"
	     end if
      next
	  strsql2 = strsql2 & " or productmatch = "& sqlserverprefixn &"'"& xshopid &"')"
   else
      strsql2 = strsql2 & " and (productmatch = '' or productmatch is null)"
   end if
   
   Set sqlrs2 = Server.CreateObject("ADODB.Recordset")
   '700 - 2010.09.26 - Enhancement: Speed up front store performance
   sqlrs2.open strsql2, dbc, adOpenStatic, adLockReadOnly
   
   '7.01 - 2010.10.05 - To support multistores to contents,blog,news
   if GetConfig("xproductmatch") = "Yes" then
      if sqlrs2.eof then
         closerecordset sqlrs2
         strsql2="select * from content "
         if instr(ucase(xdatabasetype), "MYSQL") > 0 or instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
            strsql2=strsql2 & " where homepage = 1"
         else
            strsql2=strsql2 & " where homepage = TRUE"
         end if
	     strsql2 = strsql2 & " and (productmatch = '' or productmatch is null)"
	     Set sqlrs2 = Server.CreateObject("ADODB.Recordset")
   	     sqlrs2.open strsql2, dbc, adOpenStatic, adLockReadOnly
      end if
   end if
   if sqlrs2.eof then
      closerecordset sqlrs2
      strsql2="select * from content "
      if instr(ucase(xdatabasetype), "MYSQL") > 0 or instr(ucase(xdatabasetype), "SQLSERVER") > 0 then
         strsql2=strsql2 & " where homepage = 1"
      else
         strsql2=strsql2 & " where homepage = TRUE"
      end if
	  Set sqlrs2 = Server.CreateObject("ADODB.Recordset")
	  sqlrs2.open strsql2, dbc, adOpenStatic, adLockReadOnly
   end if

   if sqlrs2.eof then
      '700 - 2010.05.03 - Check all databasae must close after opened.
      closerecordset sqlrs2
      exit sub
   else
      '7.01 - 2010.10.05 - To support multistores to contents,blog,news
      contentonlypage = "yes"

      if sqlrs2("loggedin") <> true then
	     hpmgrFormatContent sqlrs2
      else
         if GetSess ("login") > "" then
	        hpmgrFormatContent sqlrs2
         else
	        ShopWriteError GetLang("langcustadminloginrequired")
	     end if
      end if
   end if
   closerecordset sqlrs2
end sub
%>