<%
'*********************************************************************************
' 7.00
' 1 Dec 2009
' Security Alert Checking
'*********************************************************************************

dim CheckPasswordsstr,checkerrorstr,CheckDatabasestr,checkxShopIdstr,CheckAdminPagestr,CheckInSecurePagesstr,CheckConfigstr,CheckSecurityKeystr

'701 - 2011.10.19 - Enhancement: Security Alert popup message
dim checkjlibconfigstr,checkjlibconfigpopupstr

sub prechecksecurity
   on error resume next
   SetSess "errorPresent","false"
   checkerrorstr = ""
   CheckPasswordsstr = ""
   CheckDatabasestr = ""
   checkxShopIdstr = ""
   CheckAdminPagestr = ""
   CheckInSecurePagesstr = ""
   CheckConfigstr = ""
   CheckSecurityKeystr = ""
   
   '701 - 2011.10.19 - Enhancement: Security Alert popup message
   checkjlibconfigstr = ""
   checkjlibconfigpopupstr = ""

   CheckPasswords
   if GetSess("admintype") = "SUPER" then
      CheckDatabase
      checkxShopId
	  CheckAdminPage
      CheckInSecurePages
   	  CheckConfig
      CheckSecurityKey
	  
	  session("CheckPasswordsstr") = CheckPasswordsstr
	  session("CheckDatabasestr") = CheckDatabasestr
	  session("checkxShopIdstr") = checkxShopIdstr
	  session("CheckAdminPagestr") = CheckAdminPagestr
	  session("CheckInSecurePagesstr") = CheckInSecurePagesstr
	  session("CheckConfigstr") = CheckConfigstr
	  session("CheckSecurityKeystr") = CheckSecurityKeystr
	  
	  '701 - 2011.10.19 - Enhancement: Security Alert popup message
	  session("checkjlibconfigstr") = checkjlibconfigstr
	  session("checkjlibconfigpopupstr") = checkjlibconfigpopupstr
   end if
   if Err.Number <> 0 then
      checkerrorstr = checkerrorstr & "<li><span class=""errormsg""><b>"& getlang("langadminsecuritynotcompletemsg") &"</b></span></li>"
      Error.Clear
   end if
   displaysecurityform
   dopopup
end sub

'701 - 2011.10.19 - Enhancement: Security Alert popup message
sub dopopup
   if getsess("errorPresent") = "false" then exit sub
%>
<script type="text/javascript" src="js/flow/jquery.tools.min.js"></script>
<script type="text/javascript">
jQuery.noConflict();
</script>
<link href="stylesheets/flow/overlay-apple.css" rel="stylesheet" type="text/css" />
<div id="triggers">
  <img src="images/popupdot.gif" rel="#warning"/>
</div>
<div class="apple_overlay" id="warning">
   <iframe width="100%" height="330px" src="popupalertmessage.asp" frameborder="0"></iframe>
   <a class="close"><%=getlang("langclosethiswindow")%></a>
</div>
<script type="text/javascript">
jQuery(document).ready(function() {
   jQuery("#triggers img[rel]").overlay({
      mask: {
         color: '#000000',
         loadSpeed: 200,
         opacity:0.8
      },
      effect: 'apple'
   }).click();
});
</script>
<%
end sub

'701 - 2011.10.19 - Enhancement: Security Alert popup message
sub dopopup_old
   if getsess("errorPresent") = "false" then exit sub
%>
<script type="text/javascript" src="js/thickbox/jquery-latest.js"></script>
<script type="text/javascript" src="js/thickbox/thickbox.js"></script>
<script type="text/javascript">
jQuery.noConflict();
</script>
<link href="stylesheets/thickbox/thickbox.css" rel="stylesheet" type="text/css" media="screen" />

   <script language="JavaScript" type='text/javascript'>
window.addEvent=function(e,ev,f,c){if(e.addEventListener){e.addEventListener(ev,f,c);}else if(e.attachEvent){var r=e.attachEvent('on'+ev,f);return r;}else{e['on'+ev]=f;}};
 
function showBox(){
    var a = document.getElementById('abclink');
    var t = a.title || a.name || null;
    var l = a.href || a.alt;
    var g = a.rel || false;
    tb_show(t,l,g);
}
window.addEvent(window, "load", showBox, false);
   </script>
<%   
end sub

Sub CheckPasswords
   sql = "select fldpassword from tbluser where fldusername IN ('"& EnDeCrypt2("vpasp",xencryptkey,"E") &"','"& EnDeCrypt2("admin",xencryptkey,"E") &"')"
   Set rs = Server.CreateObject("ADODB.Recordset")
   rs.open sql, dbc, adOpenDynamic, adLockOptimistic
   while not rs.eof
      if (lcase(rs("fldpassword")) = ""& EnDeCrypt2("admin",xencryptkey,"E") &"") or (lcase(rs("fldpassword")) = ""& EnDeCrypt2("vpasp",xencryptkey,"E") &"") then
         CheckPasswordsstr = CheckPasswordsstr & "<li><span class=""errormsg""><b>"& getlang("langsecuritypasswordertitle") &"</b></span> - "& getlang("langsecuritypasswordermsg") &"</li>"
         SetSess "errorPresent","true"
         CloseRecordSet rs
         exit sub
      end if
      rs.movenext
   wend
   CloseRecordSet rs
end sub

Sub displaysecurityform
   if getsess("errorPresent") = "false" then exit sub
%>
   <table  width="100%" border="0" cellspacing="0" cellpadding="0" class="table_container">
     <tr>
       <td width="15" height="25" class="left_header"></td>
       <%'701 - 2011.10.19 - Enhancement: Security Alert popup message%>
       <td height="25" class="center_header"><%=getlang("langvpaspsecurityalert")%></td>
       <td width="15" height="25" class="right_header"></td>
     </tr>
     <tr>
       <td colspan="3" ><table width="100%" border="0" cellpadding="0" cellspacing="1" class="customer_orders_table">
         <tr class="odd_row" >

           <td class="al vt">
             <div nam='msgDiv' id='msgDiv'></div>
             <span style='display:block' name='secMsgDiv' id='secMsgDiv'>

             <%'701 - 2011.10.19 - Enhancement: Security Alert popup message%>
             <div style="display: block;" ><span class="highlight"><%=getlang("langvpaspsecurityalertdesc1")%></span></div>

             <ul class="alert_list">
             <%=CheckPasswordsstr%>
             <%=CheckDatabasestr%>
             <%=checkxShopIdstr%>
             <%=CheckAdminPagestr%>
             <%=CheckInSecurePagesstr%>
             <%=CheckConfigstr%>

             <%'701 - 2011.10.19 - Enhancement: Security Alert popup message%>
             <%=checkjlibconfigstr%>
             
             <%=CheckSecurityKeystr%>
             <%=checkerrorstr%>
             </ul>

             <%'701 - 2011.10.19 - Enhancement: Security Alert popup message%>
             <p><%=getlang("langvpaspsecurityalertdesc2")%></p>

             </span>
           </td>
	<script language="Javascript" type="text/javascript">
		if (<%=GetSess("errorpresent")%>.toString() == "true")
		{
			var divOff = "<span class='highlight'><a href=# onclick=document.getElementById('secMsgDiv').style.display='block';document.getElementById('msgDiv').innerHTML=divOn><%=getlang("langcommonalertdesc")%></a></span>"
			var divOn = "<span class='highlight'><a href=# onclick=document.getElementById('secMsgDiv').style.display='none';document.getElementById('msgDiv').innerHTML=divOff><%=getlang("langcommonalertdesc")%></a></span>"

			if (document.getElementById('secMsgDiv').style.display == "block")
			{
				document.getElementById('msgDiv').innerHTML = divOn
			}
			else
			{
				document.getElementById('msgDiv').innerHTML = divOff
			}

			document.getElementById('secMsgDiv').style.display = 'block'
			document.getElementById('msgDiv').style.display = 'block'
		}
		else
		{
			document.getElementById('msgDiv').style.display = 'none'
			document.getElementById('secMsgDiv').style.display = 'none'
		}
	</script>
         </tr>
         </table></td>
       </tr>
     </table> 
<%   
end sub

Sub CheckDatabase
   '700 moving to admin folder
   infolder=server.mappath("shopsecuritycheck.asp")
   infolder=Mid(infolder,1,len(infolder)-len("shopsecuritycheck.asp"))
   infolder=RealSubFolderName(request.ServerVariables("SCRIPT_NAME"),infolder)
   infolder=xDbLocation
   if trim(infolder) <> "" then
      dbexists(infolder)
   end if
end sub

Sub dbExists(CheckFolder)	
   dim dbnames, mysubfolder,myfolder
   dbnames = "shopping350.mdb,shopping400.mdb,shopping450.mdb,shopping500.mdb,shopping550.mdb,shopping600.mdb,shopping650.mdb,shopping700.mdb"
   dbnames = split(dbnames, ",")

   Set fs=Server.CreateObject("Scripting.FileSystemObject")
   for i = 0 to ubound(dbnames)	
      if (right(checkfolder, 1) <> "/") AND (right(checkfolder, 1) <> "\") then
         checkfolder = checkfolder & "\"
      end if
      if fs.FileExists(CheckFolder & dbnames(i)) then
         CheckDatabasestr = CheckDatabasestr & "<li><span class=""errormsg""><b>"& getlang("langsecuritydatabaseertitle") &"</b></span> - (" & CheckFolder & dbnames(i) & ") - "& getlang("langsecuritydatabaseermsg") &"</li>"
		 SetSess "errorPresent","true"
      end if
   next

   Set MyFolder=fs.GetFolder(CheckFolder)
   For Each MySubFolder in MyFolder.SubFolders
      dbexists MySubFolder
   Next
end sub

Sub checkxShopId
   select case xShopId
      case "shop550","shop500","shop450","shop400","shop350","shop600","shop650","shop700"
         checkxShopIdstr = checkxShopIdstr & "<li><span class=""errormsg""><b>"& getlang("langsecurityxshopidertitle") &"</b></span> - "& getlang("langsecurityxshopidermsg") &"</li>"
		 SetSess "errorPresent","true"
	     exit sub
   end select
end sub

Sub CheckAdminPage
	Set fs=Server.CreateObject("Scripting.FileSystemObject")
	infolder=server.mappath("shopsecuritycheck.asp")
	infolder=Mid(infolder,1,len(infolder)-len("shopsecuritycheck.asp"))

	If fs.FileExists(infolder & "shopadmin.asp") then
	   dim objstream, tempstring
	   tempstring = ""
       set objstream=fs.opentextfile(infolder & "shopadmin.asp")
       do while not objstream.atendofStream
	      tempstring = tempstring & objstream.readline
       loop
       objstream.close
       set objstream = nothing
	   
	   if trim(tempstring) <> "" then
  	      CheckAdminPagestr = CheckAdminPagestr & "<li><span class=""errormsg""><b>"& getlang("langsecurityshopadmin") &"</b></span> - "& getlang("langsecurityshopadmindesc") &"</li>"
	      SetSess "errorPresent","true"
	   end if
	end if
end sub

Sub CheckInSecurePages
	msgWritten = false
	dim infolder2,infolder3,strpagename2,strpagename3

	Set fs=Server.CreateObject("Scripting.FileSystemObject")
	'700 moving to admin folder
	infolder=server.mappath("shopsecuritycheck.asp")
	infolder=Mid(infolder,1,len(infolder)-len("shopsecuritycheck.asp"))
	infolder=RealSubFolderName(request.ServerVariables("SCRIPT_NAME"),infolder)
	infolder2=infolder & "admin\"
	infolder3=infolder & "\"
	
	strpagename= ""
	strpagename = strpagename & "upgrade,installation"
	
	strpagename = split(strpagename, ",")

	For i = 0 to ubound(strpagename)
	  If fs.FileExists(infolder & strpagename(i)) or fs.folderExists(infolder & strpagename(i)) then
	  	if msgwritten=false then
			msgwritten=true

			'701 - 2011.10.19 - Enhancement: Security Alert popup message
			CheckInSecurePagesstr = CheckInSecurePagesstr & "<span class=""errormsg""><b>"& getlang("langdeletefolders") &" </b></span> - You must delete these folders before going live."
		end if
	   SetSess "errorPresent","true"
	   CheckInSecurePagesstr = CheckInSecurePagesstr & "<li>" & strpagename(i) & "</li>"
	  end if
	Next
	msgwritten = false

	strpagename= ""
	strpagename = strpagename & "convert550.asp,convert600.asp,convert650.asp,convert500.asp,convert450.asp,convert400.asp,convert350.asp,convert550access.txt,convert600access.txt,convert650access.txt,convert500access.txt,convert450access.txt,convert400access.txt,convert350access.txt,convert550config.txt,convert600config.txt,convert650config.txt,convert500config.txt,convert450config.txt,convert400config.txt,convert350config.txt,convert550imageupload.txt,convert500imageupload.txt,convert450imageupload.txt,convert400imageupload.txt,convert350imageupload.txt,convert550sqlserver.txt,convert600sqlserver.txt,convert650sqlserver.txt,convert500sqlserver.txt,convert450sqlserver.txt,convert400sqlserver.txt,convert350sqlserver.txt,convertcategories.asp,convertconfig.asp,convertproducts.asp,"
	strpagename = strpagename & "convert650admin.asp,convert650inventory.asp,convert650mysql.txt,converttaxes.asp,create650demo.txt,create650mysql1.txt,"
	strpagename = strpagename & "create550mysql.txt,create600mysql.txt,create650mysql.txt,create500mysql.txt,create450mysql.txt,create400mysql.txt,create350mysql.txt,create550admin.txt,create600admin.txt,create650admin.txt,create500admin.txt,create450admin.txt,create400admin.txt,create350admin.txt,create550demo.txt,create500demo.txt,create450demo.txt,create400demo.txt,create350demo.txt,create550sqlserver.txt,create600sqlserver.txt,create650sqlserver.txt,create500sqlserver.txt,create450sqlserver.txt,create400sqlserver.txt,create350sqlserver.txt,create550sqlserver.sql,create600sqlserver.sql,create650sqlserver.sql,create500sqlserver.sql,create450sqlserver.sql,create400sqlserver.sql,create350sqlserver.sql,"
	strpagename = strpagename & "vsadmin.asp,shoptmptest.asp,sv.asp,shopdbtest.asp,shopa_sessionlist.asp,mysqlcreate.asp,convertmysql.asp,"
	strpagename = strpagename & "diag_dbtest.asp,diag_sessionlist.asp,diag_expirecookie.asp,"& xadminfolder &"/ausers.asp,"& xadminfolder &"/passwordresettool700.asp"
	strpagename = split(strpagename, ",")	
	
	For i = 0 to ubound(strpagename)
	  If fs.FileExists(infolder3 & strpagename(i)) then
	  	if msgwritten=false then
			msgwritten=true

			'701 - 2011.10.19 - Enhancement: Security Alert popup message
			CheckInSecurePagesstr = CheckInSecurePagesstr & "<span class=""errormsg fontbold"">"& getlang("langsecurityinsecuredpages") &" </span> - "& getlang("langsecurityinsecuredpagesdesc") &""
		end if
	   SetSess "errorPresent","true"
	   CheckInSecurePagesstr = CheckInSecurePagesstr & "<li>" & strpagename(i) & "</li>"
	  end if
	Next
	
	If fs.folderExists(infolder & "admin") then
   	   CheckInSecurePagesstr = CheckInSecurePagesstr & "<li><span class=""errormsg fontbold"">"& getlang("langsecurityinsecuredpagesadminfolderdesc") &"</span></li>"
	end if
	set fs=nothing
end sub

Sub CheckConfig
   msgWritten = false
   if lcase(GetConfig("xadminmenucheck")) <> "yes" then
      if msgwritten=false then
		 msgwritten=true

		 '701 - 2011.10.19 - Enhancement: Security Alert popup message
		 CheckConfigstr = CheckConfigstr & "<span class=""errormsg""><b>INSECURE CONFIGURATION SETTINGS</b></span>"

		 SetSess "errorPresent","true"
	  end if
	  CheckConfigstr = CheckConfigstr & "<li>xadminmenucheck is set to No. This should be set to Yes in the configuration before going live.</li>"
   end if

   if lcase(GetConfig("xrestrictadmintables")) <> "yes" then
	  if msgwritten=false then
		 msgwritten=true

		 '701 - 2011.10.19 - Enhancement: Security Alert popup message
		 CheckConfigstr = CheckConfigstr & "<span class=""errormsg""><b>INSECURE CONFIGURATION SETTINGS</b></span>"

		 SetSess "errorPresent","true"
	  end if
	  CheckConfigstr = CheckConfigstr & "<li>xrestrictadmintables is set to No. This should be set to Yes in the configuration before going live.</li>"
   end if

   if lcase(GetConfig("xshowadmin")) <> "no" then
	  if msgwritten=false then
		 msgwritten=true

		 '701 - 2011.10.19 - Enhancement: Security Alert popup message
		 CheckConfigstr = CheckConfigstr & "<span class=""errormsg""><b>INSECURE CONFIGURATION SETTINGS</b></span>"

		 SetSess "errorPresent","true"
	  end if
	  CheckConfigstr = CheckConfigstr & "<li>xshowadmin is set to Yes. This should be set to No in the configuration before going live.</li>"
   end if

   if lcase(GetConfig("xencryptcreditcard")) <> "yes" then
	  if msgwritten=false then
		 msgwritten=true

		 '701 - 2011.10.19 - Enhancement: Security Alert popup message
		 CheckConfigstr = CheckConfigstr & "<span class=""errormsg""><b>INSECURE CONFIGURATION SETTINGS</b></span>"

		 SetSess "errorPresent","true"
	  end if
	  CheckConfigstr = CheckConfigstr & "<li>xencryptcreditcard is set to No. If taking Credit Cards, this should be set to Yes in the configuration before going live.</li>"
   end if
   
   '701 - 2011.10.19 - Enhancement: Security Alert popup message
   msgWritten = false
   if lcase(GetConfig("xLoadJLibFromGoogle")) <> "yes" then
	  if msgwritten=false then
		 msgwritten=true
		 checkjlibconfigstr = checkjlibconfigstr & "<span class=""errormsg""><b>CONFIGURATION SETTINGS</b></span>"
		 checkjlibconfigpopupstr = checkjlibconfigpopupstr & "<span class=""errormsg""><b>CONFIGURATION SETTINGS</b></span>"
		 SetSess "errorPresent","true"
	  end if
	  checkjlibconfigstr = checkjlibconfigstr & "<li><a href='shopa_configsystem.asp?group=search&keyword=xLoadJLibFromGoogle&backhome=Yes'>xLoadJLibFromGoogle is set to No. To speed up the site, this should be set to Yes in the configuration while going live.</a></li>"
	  checkjlibconfigpopupstr = checkjlibconfigpopupstr & "<li><a href='shopa_configsystem.asp?group=search&keyword=xLoadJLibFromGoogle&backhome=Yes&frompopup=Yes'>xLoadJLibFromGoogle is set to No. To speed up the site, this should be set to Yes in the configuration while going live.</a></li>"
   end if
end sub

Sub CheckSecurityKey
	If xencryptkey = "agabAhjBcG" then
       CheckSecurityKeystr = CheckSecurityKeystr & "<li><span class=""errormsg""><b>"& getlang("langsecurityencrykeyertitle") &"</b></span> - "& getlang("langsecurityencrykeyermsg") &"</li>"
	   SetSess "errorPresent","true"
	end if
end sub
%>