<%
sub genfooterfreetext (sqlrs)
   if trim(sqlrs("id")) = "" then exit sub
   if isnumeric(sqlrs("id")) = false then exit sub
   
   '700 - 2010.10.02 - Bug Fix: Free text show in ssl not working
   '701 - 2010.11.30 - Enhancement: Support HTTP_CLUSTER_HTTPS for secured mode
   if lcase(request.ServerVariables("HTTPS")) = "on" or lcase(request.ServerVariables("HTTP_X_HTTPS")) = "on" or lcase(request.ServerVariables("HTTP_CLUSTER_HTTPS")) = "on" then
      if isnull(sqlrs("otheroptions4")) then exit sub
      if sqlrs("otheroptions4") = "No" then exit sub
   end if

   if isnull(sqlrs("otheroptions3")) = false then
      if trim(sqlrs("otheroptions3")) <> "" then
         dim divfrontstr
         divfrontstr = "<div class=""freetext"" "
         divfrontstr = divfrontstr & ">"
         htmlwrite divfrontstr & translatehpmgrcaptions(sqlrs("otheroptions3"))
         htmlwrite "</div>"
      end if
   end if
end sub

sub gencenterfreetext (sqlrs)
   if trim(sqlrs("id")) = "" then exit sub
   if isnumeric(sqlrs("id")) = false then exit sub
   
   '700 - 2010.10.02 - Bug Fix: Free text show in ssl not working
   '701 - 2010.11.30 - Enhancement: Support HTTP_CLUSTER_HTTPS for secured mode
   if lcase(request.ServerVariables("HTTPS")) = "on" or lcase(request.ServerVariables("HTTP_X_HTTPS")) = "on" or lcase(request.ServerVariables("HTTP_CLUSTER_HTTPS")) = "on" then
      if isnull(sqlrs("otheroptions5")) then exit sub
      if sqlrs("otheroptions5") = "No" then exit sub
   end if
   
   dim displaywithbox,displaytext
   displaywithbox = sqlrs("otheroptions3")

   '701 - 2011.02.22 - freetext is formatting wrongly if containing html markup
   if not istable(sqlrs("otheroptions4")) then
      displaytext = replace(translatehpmgrcaptions(sqlrs("otheroptions4")),chr(13),"<br>")
   else
      displaytext = sqlrs("otheroptions4")
   end if

   htmlwrite "<div id=""center_freetext_title_"& sqlrs("id") &""" class=""main-freetext"">"
	  
   if isnull(sqlrs("labelfield")) = false then
      if trim(sqlrs("labelfield")) <> "" then
 	      htmlwrite "<h2>"& translatehpmgrcaptions(sqlrs("labelfield")) &"</h2>"
	  end if
   end if

   htmlwrite "<p>"
	  
   if lcase(displaywithbox) = "yes" then
%>
<table width="100%" border="0" cellspacing="0" cellpadding="0" id="productsummary">
  <tr>
    <td class="box-top-left"></td>
    <td class="box-border-top"></td>
    <td class="box-top-right"></td>
  </tr>
  <tr>
    <td class="box-border-left">&nbsp;</td>
    <td>
<%
   end if

   dim divfrontstr
   divfrontstr = "<div "
   '700 - 2010.05.20 - Bug Fix: Center Free Text description not displaying
   divfrontstr = divfrontstr & ">"
   htmlwrite divfrontstr & displaytext
   htmlwrite "</div>"
     
   if lcase(displaywithbox) = "yes" then
%>
</td>
    <td class="box-border-right">&nbsp;</td>
  </tr>
  <tr>
    <td class="box-bottom-left"></td>
    <td class="box-border-bottom"></td>
    <td class="box-bottom-right"></td>
  </tr>
</table>
<%
   end if

   htmlwrite "</p>"  
   htmlwrite "</div>"
end sub

sub gensidefreetext (sqlrs)
   if trim(sqlrs("id")) = "" then exit sub
   if isnumeric(sqlrs("id")) = false then exit sub
   
   '700 - 2010.10.02 - Bug Fix: Free text show in ssl not working
   '701 - 2010.11.30 - Enhancement: Support HTTP_CLUSTER_HTTPS for secured mode
   if lcase(request.ServerVariables("HTTPS")) = "on" or lcase(request.ServerVariables("HTTP_X_HTTPS")) = "on" or lcase(request.ServerVariables("HTTP_CLUSTER_HTTPS")) = "on" then
      if isnull(sqlrs("otheroptions5")) then exit sub
      if sqlrs("otheroptions5") = "No" then exit sub
   end if

   dim displaywithbox,displaytext
   displaywithbox = sqlrs("otheroptions3")
   if instr(sqlrs("otheroptions4"),"</script>") > 0 then
      displaytext = sqlrs("otheroptions4")
   else
      '701 - 2011.02.22 - freetext is formatting wrongly if containing html markup
      if not istable(sqlrs("otheroptions4")) then
         displaytext = replace(translatehpmgrcaptions(sqlrs("otheroptions4")),chr(13),"<br />")
	  else
	     displaytext = sqlrs("otheroptions4")
	  end if
   end if

   if lcase(displaywithbox) = "yes" then
	  htmlwrite "<div class=""sidebarcell"">"
   end if
	  
   if isnull(sqlrs("labelfield")) = false then
      if trim(sqlrs("labelfield")) <> "" then
	     if lcase(displaywithbox) = "yes" then
            htmlwrite "<div id=""side_freetext_title_"& sqlrs("id") &""" class=""title"">"
         else
	        htmlwrite "<div id=""side_freetext_title_"& sqlrs("id") &""" class=""titlenobox"">"
	     end if

 	     htmlwrite "<h2>"& translatehpmgrcaptions(sqlrs("labelfield")) &"</h2>"
	 	 htmlwrite "</div>"
	  end if
   end if
	  
   if lcase(displaywithbox) = "yes" then
      htmlwrite "<div class=""contentcell"">"
   end if
	  
   dim divfrontstr
   if lcase(displaywithbox) = "yes" then
      divfrontstr = "<div class=""sidefreetext"" "
   else
	  divfrontstr = "<div class=""sidefreetextnobox"" "
   end if
   divfrontstr = divfrontstr & ">"
   htmlwrite divfrontstr & displaytext
   htmlwrite "</div>"
	  
   if lcase(displaywithbox) = "yes" then
	  htmlwrite "</div>"
   end if
	  
   if lcase(displaywithbox) = "yes" then
	  htmlwrite "</div>"
   end if
end sub
%>